package com.zhongzheng.modules.bank.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.bank.bo.ExamAddBo;
import com.zhongzheng.modules.bank.bo.ExamEditBo;
import com.zhongzheng.modules.bank.bo.ExamQueryBo;
import com.zhongzheng.modules.bank.domain.Exam;
import com.zhongzheng.modules.bank.vo.ExamVo;

import java.util.Collection;
import java.util.List;

/**
 * 试卷Service接口
 *
 * @author hjl
 * @date 2021-10-22
 */
public interface IExamService extends IService<Exam> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamVo queryById(Long examId);

	List<ExamVo> getList(ExamQueryBo bo);
	/**
	 * 查询列表
	 */
	List<ExamVo> queryList(ExamQueryBo bo);

	/**
	 * 根据新增业务对象插入试卷
	 * @param bo 试卷新增业务对象
	 * @return
	 */
	ExamVo insertByAddBo(ExamAddBo bo);

	/**
	 * 根据编辑业务对象修改试卷
	 * @param bo 试卷编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
